Get Campaigns
curl --request GET \
--url https://server.stage.overflow.co/api/v3/campaigns \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/campaigns"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "7710f34fd5061afeec3eab59",
"archivedAt": "2025-01-01T00:00:00.000Z",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"name": "Builders Fundraiser",
"startDate": "2025-01-01T00:00:00.000Z",
"endDate": "2025-12-01T00:00:00.000Z",
"status": "ACTIVE",
"displayOrder": 1,
"isSubcampaign": false,
"hideFromDonors": false,
"isActive": false,
"locationIds": [
"<string>"
],
"parentCampaigns": [
{
"id": "<string>",
"name": "<string>"
}
],
"subcampaigns": [
{
"id": "<string>",
"name": "<string>"
}
],
"applyToAllCampaigns": true,
"totalContributionCount": 100,
"totalContributionValue": 1000,
"uniqueDonorCount": 100
}
],
"totalCount": 100
}Get Campaigns
Returns campaigns for a nonprofit based on the provided filters.
GET
/
api
/
v3
/
campaigns
Get Campaigns
Authorizations
Client ID for API authentication
API Key for API authentication
Query Parameters
The number of campaigns to return.
Required range:
1 <= x <= 100The page number of the campaigns to return.
Required range:
x >= 1Whether to include campaigns that have been archived.
The field to sort the campaigns by.
Available options:
endDate, name, startDate, displayOrder, totalContributionCount, totalContributionValue, uniqueDonorCount Example:
"startDate"
The direction to sort the campaigns by.
Available options:
ASC, DESC Example:
"DESC"
Whether to return subcampaigns or campaigns. If true, returns subcampaigns, otherwise returns campaigns
Available options:
true, false Example:
false
The id of the parent campaign to return subcampaigns for.
Whether to exclude campaigns that have ended.
Search by campaign name.
Example:
"Summer Camp"
Last modified on July 14, 2026
Related topics
Get Campaign/SubcampaignGet SubscriptionsGet Subscription By IdGet Subscriptions By DonorGet ContributionWas this page helpful?